#!/usr/bin/env python
# -*- coding: utf-8 -*- #
from __future__ import unicode_literals

AUTHOR = 'Teckids e.V.'
SITENAME = 'Teckids e.V.'
SITEURL = ''
SITELOGO = '{}/images/logo.png'.format(SITEURL)

STATIC_PATHS = ["static", "images"]
PATH = 'content'
OUTPUT_PATH = 'public'

TIMEZONE = 'Europe/Paris'

DEFAULT_LANG = 'de'

THEME = 'themes/teckids'

# Feed generation is usually not desired when developing
FEED_ALL_ATOM = None
CATEGORY_FEED_ATOM = None
TRANSLATION_FEED_ATOM = None
AUTHOR_FEED_ATOM = None
AUTHOR_FEED_RSS = None

# Navbar
MENUITEMS = [
    ('Startseite', '/index.html'),
    ('Projekte', [
        ('schul-frei', 'https://schul-frei.org'),
        ('FrogLabs', 'https://froglabs.org'),
        ('Dienste', '/Dienste.html'),
        ]),
    ('Medien und Pädagogik', [
        ('Pädagogisches Leitbild', '/Paedagogisches_Leitbild.html'),
        ('Handreichungen', '/Handreichungen.html'),
        ]),
    ('Mitgestalten', [
        ('Ziele', '/Ziele.html'),
        ('Partizipation von Jugendlichen', '/partizipation.html'),
        ('Mitgliedschaft', '/Mitgliedschaft.html'),
        ]),
    ('Bildung', [
        ('Unterrichtsmaterial', 'https://www.teckids.org/legacy/docs/public/material/docman.htm'),
        ]),
    ]

FOOTERMENU = (('Pelican', 'http://getpelican.com/'),
         ('Python.org', 'http://python.org/'),
         ('Jinja2', 'http://jinja.pocoo.org/'),
         ('Spenden', 'Spenden.html')
         ('Kontakt', 'Kontakt.html')
         ('Newsletter', 'Newsletter.html')
         ('Nutzungsbedingungen und Datenschutz', 'Nutzungsbedingungen_Datenschutz.html')
         ('AGB für Freizeiten', 'agb_freizeiten.html')
         ('Lizenzen', 'Lizenzen.html')
         ('Impressum', 'Impressum.html'))

I18N_SUBSITES = {
    "en": {
        "MENUITEMS": [
            ('Home', '/index_en.html'),
            ('Projects', [
                ('schul-frei', 'https://schul-frei.org'),
                ('FrogLabs', 'https://froglabs.org'),
                ('Services', '/Dienste.html')
                ]),
            ('Media and Pedagogy', [
                ('Educational Concept', '/Paedagogisches_Leitbild.html'),
                ('Handouts', '/Handreichungen.html'),
            ]),
            ('Contribution', [
                ('Goals', '/Ziele.html')
                ('Participation of youngsters', '/partizipation.html')
                ('Membership', 'Mitgliedschaft.html')
            ])
            ('Education', [
                ('Teaching Material', 'https://www.teckids.org/legacy/docs/public/material/docman.htm')
            ])
        ]
    }
}

# Social widget
SOCIAL = (('You can add links in your config file', '#'),
          ('Another social link', '#'),)

DEFAULT_PAGINATION = 10

# Uncomment following line if you want document-relative URLs when developing
#RELATIVE_URLS = True

PRIMARY_DARK = "#FF6600"
PRIMARY_LIGHT = "#FF9955"
SECONDARY_DARK = "#0606FA"
SECONDARY_LIGHT = "#005EBE"

SPONSOR_LOGOS = (('/images/sponsors/logo-bareos.png', 'https://www.bareos.com/'),
                 ('/images/sponsors/logo-speedpartner.png', 'https://www.speedpartner.de/'),
                 ('/images/sponsors/logo_informatik-aktuell.png', 'https://www.informatik-aktuell.de/'))
